Method: networks.audienceSegments.patch

Updates an AudienceSegment object.

HTTP request

PATCH https://admanager.googleapis.com/v1/{audienceSegment.name}

Path parameters

Parameters
audienceSegment.name

string

Identifier. The resource name of the AudienceSegment. Format: networks/{networkCode}/audienceSegments/{audienceSegmentId} The audienceSegmentId is not always numerical and may have one of the following suffixes: - ~direct for directly licensed third-party segments - ~global for globally licensed third-party segments

Query parameters

Parameters
updateMask

string (FieldMask format)

Optional. The list of fields to update.

This is a comma-separated list of fully qualified names of fields. Example: "user.displayName,photo".

Request body

The request body contains an instance of AudienceSegment.

Response body

If successful, the response body contains an instance of AudienceSegment.

Authorization scopes

Requires the following OAuth scope:

  • https://www.googleapis.com/auth/admanager

For more information, see the OAuth 2.0 Overview.